body {
    /*background-color: #ffeae4;*/
    background-color: #efefef;
    color: #3d3737;
    font-family: sans-serif;
    cursor: default;
    margin: 1px;
    font-size: 16px; /* Ensure readability on mobile */
}

table, th, td {
    border: 0px;
    border-collapse: collapse;
}

input[type=number], input[type=text], input[type=select] {
    background: #fafafa;
    border: 1px solid #816c6c;
    border-radius: 3px;
    width: 300px;
}

input[type=submit], input[type=button] {
    background: #e0e0e0;
    color: #3d3737;
    border: 1px solid #816c6c;
    border-radius: 3px;
    box-shadow: 0px 0px 1px #3c3737;
}
input[type=submit]:disabled, input[type=button]:disabled{
    background: #efefef;
    color: #816c6c;
    box-shadow: none;
}

.ticked {
    text-decoration: line-through;
    color: #98807f;
}

#shopping_list {
    margin-top: 130px;
}

#tabs {
    border-collapse: separate;
    border-spacing: 0px;
    user-select: none;
    overflow-x: auto; /* Allow horizontal scrolling if needed */
}

#tabs td {
    border-width: 1px 1px 1px 1px;
    border-style: solid;
    border-radius: 4px 4px 0px 0px;
    border-color: #816c6c;
    padding: 0.5em 0.2px;
    background: #e0e0e0;
    white-space: nowrap;
}

#tabs td.tab_selected {
    border-width: 1px 1px 0px 1px;
    background: #efefef;
}

#tabs td.tab_buffer {
    border-width: 0px 0px 1px 0px;
    background: #efefef;
    width: 5px;
}

#fixed_header {
    width: 100%;
    background: #efefef;
    position: fixed;
    top: 0px;
}
#fixed_header.shadowed {
    box-shadow: 0 0 8px #98807f;
}

.link_icon {
    text-decoration: none;
    margin-left: 5px; /* Add some space between the text and the icon */
}


/* Media query for mobile devices */
@media (max-width: 600px) {
    body {
        font-size: 14px; /* Slightly smaller font for mobile */
    }

    input[type=number], input[type=text], input[type=select] {
        width: 90%; /* Adjusted to a reasonable width for mobile */
        max-width: 250px; /* Add a max-width for larger screens */
    }

    #tabs td {
        padding: 0.3em 0.1px; /* Adjust padding for smaller screens */
    }

    #shopping_list {
        margin-top: 130px; /* Adjust margin for smaller screens */
    }
}
